# coding: utf-8
#************************************
#  ランダムウォークシミュレーション *
#************************************

import numpy.random as rd
import matplotlib.pyplot as plt

x = [0]
y = [0]

for i in range(1000):
    x.append(x[i]+rd.random()-0.5)
    y.append(y[i]+rd.random()-0.5)

trace = [x, y]

plt.plot(*trace)
plt.axis("equal")
plt.title("random walk")
plt.xlabel("X")
plt.ylabel("Y")
plt.show()