# coding: utf-8
#**********************************
#  熊谷市の最高気温の表示　　　　 *
#**********************************

import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
%matplotlib inline 

df = pd.read_csv("kumagaya.csv",sep=",",header=0)
data17 = df.iloc[0:61,1]
data18 = df.iloc[62:123,1]

points = (data17, data18)

fig, ax = plt.subplots()

bp = ax.boxplot(points)
ax.set_xticklabels(["2017","2018"])

plt.title("Tmax in kumagaya")
plt.xlabel("year")
plt.ylabel("Tmax")
plt.ylim([0,50])
plt.grid()
plt.show()
df = pd.DataFrame(points)
X = df.T.describe()
np.savetxt("X.csv",X,delimiter = ",")
print(X)

